<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"  
      xmlns:p="http://primefaces.org/ui"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <body>

        <ui:composition template="./WEB-INF/Template.xhtml">

            <ui:define name="conteudo">
               
                 <h:form id="form" >

                    <p:growl id="growl" autoUpdate="true" />

                    <!-- DADOS DE USUARIO -->

                    <p:fieldset legend="Dados Pessoais" style="background-color: antiquewhite;">

                        <p:panelGrid style="border: none;" id="painel" >
                           
                            <p:row style="background-color: antiquewhite!important;">
                                <p:column style="text-align: right">
                                    <h:outputLabel value="Descrição Produto" />
                                </p:column>
                                <p:column>
                                    <h:inputText value="#{produtoBean.produto.descricao}" />
                                </p:column>
                                
                                <p:column style="text-align: right">
                                    <h:outputLabel value="Valor" />
                                </p:column>
                                <p:column>
                                    <h:inputText value="#{produtoBean.produto.valor}" />
                                </p:column>
                            </p:row>
                            
                            <p:row style="background-color: antiquewhite!important;">
                           <p:column style="text-align: right">
                                    <h:outputLabel value="Imagem" />
                                </p:column>
                                <p:column>
                                    <h:inputText value="#{produtoBean.produto.imagem}" />
                                </p:column>
                            </p:row>
                            
                          

                        </p:panelGrid>

                    </p:fieldset>

                  
                        

                    <b:commandButton  look="primary" value="Salvar" actionListener="#{clienteBean.salvar}" update="painel" ajax="true"/>
                </h:form>

                
            </ui:define>

        </ui:composition>

    </body>
</html>
